<template lang="pug">
  v-container(fluid='')
    v-data-iterator(:items='providers' no-data-text='Записи по поставщика отсутсвуют' hide-default-footer='')
      template(v-slot:header='')
        v-toolbar.mb-2(color='indigo darken-5' dark='' flat='')
          v-toolbar-title Поставщики
          v-col
            v-dialog(transition='dialog-bottom-transition' v-model="createDialog")
              template(v-slot:activator='{ on, attrs }')
                v-btn(text='' right='' outlined='' color='teal accent-4' @click='reveal = true' v-on='on')
                  | Добавить
              template(v-slot:default='dialog')
                v-card
                  v-toolbar(color='primary' dark='') Добавление поставщика
                  v-card-text
                    v-container
                      v-form
                        v-row
                          v-col(cols="5")
                            v-text-field(v-model="provider.id" label="№" required="")
                          v-col(cols="5")
                            v-text-field(v-model="provider.name" label="Навзвание" required="")
                          v-col(cols="5")
                            v-text-field(v-model="provider.addr" label="Юр. Адрес" required="")
                          v-col(cols="5")
                            v-text-field(v-model="provider.inn" label="ИНН" required="")
                  v-card-actions.justify-end
                    v-btn(@click="Save") Добавить
                    v-btn(@click="createDialog=false; provider={}") Закрыть
      template(v-slot:default='props')
        v-row
          v-col(v-for='item in props.items' :key='item.name' cols='12' sm='6' md='4' lg='3')
            v-card
              v-card-title.subheading.font-weight-bold
                | Название: {{ item.name }} №{{ item.id }}
              v-divider
              v-list(dense='')
                v-list-item
                  v-list-item-content Юр. Адрес:
                  v-list-item-content.align-end
                    | {{ item.addr }}
                v-list-item
                  v-list-item-content ИНН:
                  v-list-item-content.align-end
                    | {{ item.inn }}
      //template(v-slot:footer='')
        v-toolbar.mt-2(color='indigo' dark='' flat='')
          v-toolbar-title.subheading
            | This is a footer

</template>

<script>
export default {
  name: 'Providers',
  mounted() {
    this.$store.dispatch("getSession")
    this.$store.dispatch("getListProviders")
  },
  computed: {
    providers () {
      return this.$store.getters.providers
    },
  },
  watch: {

  },
  components: {
  },
  methods: {
    Save() {
      this.$store.dispatch('addNewProvider', this.provider).then(() => {
        this.provider = {}
        this.createDialog = false
      })
    }
  },
  data: () => ({
    reveal: false,
    createDialog: false,
    provider: {
      name: '',
      id: '',
      inn: '',
      addr: ''
    },
  })
}
</script>
